////////////////////////////////////////////////////////////////////////////////////////////////////
/// @file	delay.c
/// @author	Simon Qian(webmaster@SimonQian.com)
/// @date	Last Update on 2008-04-07
/// @brief	Delay Functions
/// @par	license
/// 		AVRminiProg is distributed under the terms and conditions of GPLv2, see License.txt
////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../type.h"
#include "../app_cfg.h"

/// Delay in us
/// @param[in]	dly		Delay Count
void DelayUS(uint8 dly)
{
	while(dly--)
	{
		__asm("nop");
//		__asm("nop");
//		__asm("nop");
//		__asm("nop");
//		__asm("nop");
	}
}

/// Delay in ms
/// @param[in]	dly		Delay Count
void DelayMS(uint8 dly)
{
	while(dly-- > 0)
	{
		DelayUS(250);
		DelayUS(250);
		DelayUS(250);
		DelayUS(250);
	}
}
