////////////////////////////////////////////////////////////////////////////////////////////////////
/// @file	AVRX_JTAG.c
/// @author	Simon Qian(webmaster@SimonQian.com)
/// @date	Last Update on 2008-04-07
/// @brief	JTAG Programming Protocol for AVR XMega
/// @par	license
/// 		AVRminiProg is distributed under the terms and conditions of GPLv2, see License.txt
////////////////////////////////////////////////////////////////////////////////////////////////////

#include <avr/io.h>

#include "../../type.h"
#include "../../app_cfg.h"

#include "../../MCU/gpio.h"

#include "../../Delay/delay.h"

#include "JTAG_TAP.h"

#if AVRXP_JTAG_SHOULD_ENABLE



#endif		// #if AVRXP_JTAG_SHOULD_ENABLE
